%define section   free

Name:           ashkelon
Version:        0.8.2
Release:        3jpp
Epoch:          0
Summary:        Online reference tool for java api documentation

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://sourceforge.net/projects/ashkelon/
Source0:        ashkelon-0.8.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  tomcat4
BuildRequires:  castor
BuildRequires:  servletapi4
BuildRequires:  oro
Requires:  ant
Requires:  tomcat4
Requires:  castor
Requires:  servletapi4
Requires:  oro

%description
An online reference tool for java api documentation. 
ashkelon is javadoc taken to the next step of being 
able to reference multiple api's (>100,000 methods) 
in a single, fully cross-referenced and searchable 
database repository.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.


%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm {} \;
find . -name "*.war" -exec rm {} \;

%build
export CLASSPATH=$(build-classpath \
catalina-ant \
castor \
servletapi4 \
oro
)
ant war


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -pm 644 dist/%{name}.war \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.war
ln -s %{name}-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}.war

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar
%{_javadir}/*.war

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}

%changelog

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.2-3jpp
- Build with ant-1.6.2
- Relax some requirement versions

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.8.2-2jpp
- Upgrade to Ant 1.6.X

* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.2-1jpp
- First JPackage release
